View Issue Details

IDProjectCategoryView StatusLast Update
0024463FPCCompilerpublic2015-01-06 21:05
ReporterMaciej Izak Assigned ToSven Barth  
PriorityhighSeveritycrashReproducibilityalways
Status resolvedResolutionfixed 
Product Version2.7.1 
Fixed in Version3.0.0 
Summary0024463: Generics fatal error for local var in method.
Description// Generics fatal error for local var in method.

{$mode delphi}

type
  TA<T> = class
  private
    type
      TR = record
        A: T;
      end;
  end;

  TB<T> = class(TA<T>)
  public
    procedure Foo;
  end;

procedure TB<T>.Foo;
var
  LR: TR; // This line causes an error "Fatal: Compilation aborted"
begin
end;
Tagsgenerics, partial specialization
Fixed in Revision27861
FPCOldBugId
FPCTarget
Attached Files

Relationships

related to 0027206 resolvedSven Barth [Patch] Christmas gift by FreeSparta : Generics.Collections 

Activities

Maciej Izak

2013-05-22 09:02

reporter  

project16.lpr (333 bytes)

Sven Barth

2015-01-06 21:05

manager   ~0080161

This seems to have been resolved by my partial specialization changes from June.

Please test and close if okay.

Regards,
Sven

Issue History

Date Modified Username Field Change
2013-05-22 09:02 Maciej Izak New Issue
2013-05-22 09:02 Maciej Izak File Added: project16.lpr
2013-05-22 09:03 Maciej Izak Tag Attached: generics
2013-05-23 11:28 Sven Barth Status new => confirmed
2013-05-23 11:28 Sven Barth Tag Attached: partial specialization
2015-01-06 14:32 Sven Barth Relationship added related to 0027206
2015-01-06 21:05 Sven Barth Fixed in Revision => 27861
2015-01-06 21:05 Sven Barth Note Added: 0080161
2015-01-06 21:05 Sven Barth Status confirmed => resolved
2015-01-06 21:05 Sven Barth Fixed in Version => 2.7.1
2015-01-06 21:05 Sven Barth Resolution open => fixed
2015-01-06 21:05 Sven Barth Assigned To => Sven Barth